require "sinatra"
require "../lib/bamboo"

set :public_folder, File.dirname(__FILE__) + "/assets/"

get "/uniform" do
  grid = Bamboo::Grid.uniform 12
  css = Bamboo::Grid.scaffold_css
  erb :uniform, layout: :application, locals: { grid: grid, css: css }
end

get "/modular" do
  columns = params[:columns].to_i || 2
  grid = Bamboo::Grid.modular columns
  css  = Bamboo::Grid.scaffold_css
  erb :modular, layout: :application, locals: { grid: grid, css: css }
end